View Issue Details

IDProjectCategoryView StatusLast Update
0002466gnunet-gtkgnunet-setuppublic2013-12-24 20:54
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0002466: f2f editing needs to be supported
DescriptionWe should have a NICE way to edit the friend-list, not just a file-chooser dialog. We need to actually support editing the friends-file.
TagsNo tags attached.

Activities

bratao

2012-06-27 19:29

reporter   ~0006167

I have coded this. I just stucked in a multi-plataform way of copy-pasting but was a GTK problem with WIn32.

I'm so busy those days, but let me try this weekend to port to the SVN version what I did.

Christian Grothoff

2012-06-27 22:31

manager   ~0006168

Wonderful! Anyway, no rush, I just put this in here as a reminder after going over the gnunet-setup GUI today.

Christian Grothoff

2013-10-07 21:29

manager   ~0007497

The friends list can now be edited via gnunet-peerinfo-gtk. Note that the HELLOs of friends need to be imported (or learned from the network) before they can be marked as friends.

Christian Grothoff

2013-10-07 21:29

manager   ~0007498

Last patch for this was in SVN 29945.

Issue History

Date Modified Username Field Change
2012-06-26 23:48 Christian Grothoff New Issue
2012-06-27 19:29 bratao Note Added: 0006167
2012-06-27 22:31 Christian Grothoff Note Added: 0006168
2012-09-27 20:18 Christian Grothoff Status new => confirmed
2013-07-11 00:07 Christian Grothoff Priority normal => high
2013-07-13 21:11 Christian Grothoff Target Version 0.10.0 => 0.10.1
2013-10-07 21:29 Christian Grothoff Note Added: 0007497
2013-10-07 21:29 Christian Grothoff Status confirmed => resolved
2013-10-07 21:29 Christian Grothoff Fixed in Version => 0.10.0
2013-10-07 21:29 Christian Grothoff Resolution open => fixed
2013-10-07 21:29 Christian Grothoff Assigned To => Christian Grothoff
2013-10-07 21:29 Christian Grothoff Note Added: 0007498
2013-10-07 21:30 Christian Grothoff Target Version 0.10.1 => 0.10.0
2013-12-24 20:54 Christian Grothoff Status resolved => closed